#### Description:

This function deletes all cards and associated information from a FitsChan.

#### Synopsis

void astEmptyFits( AstFitsChan ∗this )

#### Parameters:

##### this

Pointer to the FitsChan.

#### Notes:

- This method simply deletes the cards currently in the FitsChan. Unlike astWriteFits, they are not first written out to the sink function or sink file.

- Any Tables or warnings stored in the FitsChan are also deleted.

- This method attempt to execute even if an error has occurred previously.

Copyright (C) 2021 East Asian Observatory